/*
 * Copyright (c) 1991-2024 by STEP Tools Inc. 
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and
 * its documentation is hereby granted, provided that this copyright
 * notice and license appear on all copies of the software.
 * 
 * STEP TOOLS MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
 * SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. STEP TOOLS
 * SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A
 * RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS
 * DERIVATIVES.
 *
 * Author: Dave Loffredo (loffredo@steptools.com)
 */


// Search a design for representation items with a given name or a
// Part 21 file id.
//
stp_advanced_face * find_face_by_name (
    RoseDesign * d, const char *
    );

stp_advanced_face * find_face_by_p21id (
    RoseDesign * d, unsigned long
    );


// Find the product definition associated with a given representation
// item.  We use this to attach shape aspects.
//
stp_product_definition_shape * find_pdef_shape_for_repitem ( 
    stp_representation_item * 
    );

// Find the representation context used for a given representation
// item.  If it appears in multiple reps, return the first one.
//
stp_representation_context * find_rep_context_for_repitem (
    stp_representation_item * 
    );
